LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XMacroExpander Interface Referencepublished

Expands macro in expressions, i.e. More...

`import"XMacroExpander.idl";`

Inheritance diagram for XMacroExpander:

## Public Member Functions
string | expandMacros ([in] string exp) raises (com::sun::star::lang::IllegalArgumentException)
| Expands macrofied expressions. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Expands macro in expressions, i.e.

substitutes macro names.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ expandMacros()

string expandMacros | ( | [in] string | exp | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Expands macrofied expressions.

Parameters

  exp | macrofied expression

Returns
  demacrofied expression

Exceptions

  IllegalArgumentException | if a macro name is unknown, thus cannot be expanded

The documentation for this interface was generated from the following file:

- com/sun/star/util/XMacroExpander.idl